Iddawc: Data Fields

Iddawc Handle the flow of OAuth2 and OpenID Connect authentication process from the client side.

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - a -

- access_token : _i_session
- access_token_encryption_alg : _i_session
- access_token_encryption_enc : _i_session
- access_token_payload : _i_session
- access_token_signing_alg : _i_session
- additional_parameters : _i_session
- additional_response : _i_session
- auth_method : _i_session
- auth_response_encryption_alg : _i_session
- auth_response_encryption_enc : _i_session
- auth_response_signing_alg : _i_session
- authorization_endpoint : _i_session

### - b -

- backchannel_logout_session_required : _i_session
- backchannel_logout_uri : _i_session

### - c -

- cert_file : _i_session
- check_session_iframe : _i_session
- ciba_auth_req_expires_in : _i_session
- ciba_auth_req_id : _i_session
- ciba_auth_req_interval : _i_session
- ciba_binding_message : _i_session
- ciba_client_notification_endpoint : _i_session
- ciba_client_notification_token : _i_session
- ciba_endpoint : _i_session
- ciba_login_hint : _i_session
- ciba_login_hint_format : _i_session
- ciba_login_hint_kid : _i_session
- ciba_mode : _i_session
- ciba_request_encryption_alg : _i_session
- ciba_request_encryption_enc : _i_session
- ciba_request_signing_alg : _i_session
- ciba_user_code : _i_session
- client_enc : _i_session
- client_enc_alg : _i_session
- client_id : _i_session
- client_jwks : _i_session
- client_kid : _i_session
- client_secret : _i_session
- client_sign_alg : _i_session
- code : _i_session

### - d -

- decrypt_access_token : _i_session
- decrypt_code : _i_session
- decrypt_refresh_token : _i_session
- device_auth_code : _i_session
- device_auth_expires_in : _i_session
- device_auth_interval : _i_session
- device_auth_user_code : _i_session
- device_auth_verification_uri : _i_session
- device_auth_verification_uri_complete : _i_session
- device_authorization_endpoint : _i_session
- dpop_kid : _i_session
- dpop_sign_alg : _i_session

### - e -

- end_session_endpoint : _i_session
- error : _i_session
- error_description : _i_session
- error_uri : _i_session
- expires_at : _i_session
- expires_in : _i_session

### - f -

- frontchannel_logout_session_required : _i_session
- frontchannel_logout_uri : _i_session

### - i -

- id_token : _i_session
- id_token_encryption_alg : _i_session
- id_token_encryption_enc : _i_session
- id_token_payload : _i_session
- id_token_sid : _i_session
- id_token_signing_alg : _i_session
- introspection_endpoint : _i_session
- issuer : _i_session

### - j -

- j_authorization_details : _i_session
- j_claims : _i_session
- j_userinfo : _i_session

### - k -

- key_file : _i_session

### - n -

- nonce : _i_session

### - o -

- openid_config : _i_session
- openid_config_endpoint : _i_session
- openid_config_strict : _i_session

### - p -

- pkce_code_verifier : _i_session
- pkce_method : _i_session
- post_logout_redirect_uri : _i_session
- pushed_authorization_request_endpoint : _i_session
- pushed_authorization_request_expires_in : _i_session
- pushed_authorization_request_uri : _i_session

### - r -

- redirect_to : _i_session
- redirect_uri : _i_session
- refresh_token : _i_session
- registration_endpoint : _i_session
- remote_cert_flag : _i_session
- request_object_encryption_alg : _i_session
- request_object_encryption_enc : _i_session
- request_object_signing_alg : _i_session
- require_pushed_authorization_requests : _i_session
- resource_indicator : _i_session
- response_type : _i_session
- result : _i_session
- revocation_endpoint : _i_session

### - s -

- scope : _i_session
- server_enc : _i_session
- server_enc_alg : _i_session
- server_jwks : _i_session
- server_kid : _i_session
- state : _i_session

### - t -

- token_endpoint : _i_session
- token_endpoint_encryption_alg : _i_session
- token_endpoint_encryption_enc : _i_session
- token_endpoint_signing_alg : _i_session
- token_exp : _i_session
- token_jti : _i_session
- token_method : _i_session
- token_target : _i_session
- token_target_type_hint : _i_session
- token_type : _i_session

### - u -

- use_dpop : _i_session
- user_password : _i_session
- userinfo : _i_session
- userinfo_encryption_alg : _i_session
- userinfo_encryption_enc : _i_session
- userinfo_endpoint : _i_session
- userinfo_signing_alg : _i_session
- username : _i_session

### - x -

- x5u_flags : _i_session